File ImageMagick-6.8.8-1-disable-insecure-coders.patch of Package ImageMagick.7134

Disable insecure loaders by default bsc#978061
sflees@suse.de

Index: ImageMagick-6.8.8-1/config/policy.xml
===================================================================
--- ImageMagick-6.8.8-1.orig/config/policy.xml	2013-01-14 14:57:39.000000000 +0100
+++ ImageMagick-6.8.8-1/config/policy.xml	2016-05-06 10:03:49.137177736 +0200
@@ -56,4 +56,15 @@
   <!-- <policy domain="resource" name="time" value="3600"/> -->
   <!-- <policy domain="system" name="precision" value="6"/> -->
   <policy domain="cache" name="shared-secret" value="passphrase"/>
+  <!-- Disable insecure coders by default -->
+  <!-- https://bugzilla.suse.com/show_bug.cgi?id=978061 -->
+  <policy domain="coder" rights="none" pattern="EPHEMERAL" />
+  <policy domain="coder" rights="none" pattern="URL" />
+  <policy domain="coder" rights="none" pattern="HTTPS" />
+  <policy domain="coder" rights="none" pattern="MVG" />
+  <policy domain="coder" rights="none" pattern="MSL" />
+  <policy domain="coder" rights="none" pattern="TEXT" />
+  <policy domain="coder" rights="none" pattern="SHOW" />
+  <policy domain="coder" rights="none" pattern="WIN" />
+  <policy domain="coder" rights="none" pattern="PLT" />
 </policymap>
openSUSE Build Service is sponsored by